;LaunchBar Commander
;Main Menu ahk_class TLaunchBarForm
;Last Updated 24/11/2008
;
#Persistent
#SingleInstance force
#NoEnv
DetectHiddenWindows, On
SetTitleMatchMode, 2

;dockHeight=30
appname=KeepInLine
ShowHint=1  ;if traytip goes crazy

GoSub, TrayMenu                   
GoSub, Get_INI
SetTimer, WatchMe, 1000
Return

Get_INI:
IfExist, %A_ScriptDir%\%appname%.ini
  IniRead,dockHeight,%appname%.ini,Settings,DockHeight,30
Else
  dockHeight=30
Return

TrayMenu:
IfExist, %A_ScriptDir%\WindowsAve.ico
  Menu, Tray, Icon, %A_ScriptDir%\WindowsAve.ico
Menu, Tray, NoStandard 
Menu, Tray, DeleteAll 
Menu, Tray, Add, Show Hint, NoHint
Menu, Tray, Check, Show Hint
Menu, Tray, Add,
Menu, Tray, Standard
Menu, Tray, Default, Show Hint
Menu, Tray, Tip, %appname% - for windows that open at 0`,0.
Return

NoHint:
If ShowHint=1
{
  Menu, Tray, UnCheck, Show Hint
  ShowHint=0
}
Else
{
  Menu, Tray, Check, Show Hint
  ShowHint=1
}
Return

WatchMe:
WinGetActiveStats, getTitle, getWidth, getHeight, getX, getY
WinGet, IsNormal, MinMax, A
If getTitle Not Contains Main Menu ;LaunchBar Commander 
  If IsNormal = 0   ; the window isn't maximized or minimized
    If getY < %dockHeight%
      {
      WinMove, %getTitle%, , %getX%, %dockHeight%
      If ShowHint=1
        {
        WinGetActiveStats, newTitle, newWidth, newHeight, newX, newY
        TrayTip, %appname%, %newTitle% is moved to %newX%`,%newY%.,,1
        }
      Sleep, 1000
      TrayTip
      }
Return 
